Show / Hide Table of Contents

# Class SqlToolsSettingsValues

Class that is used to serialize and deserialize SQL Tools settings

##### Inheritance

System.Object
SqlToolsSettingsValues

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.SqlContext

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SqlToolsSettingsValues

### Constructors

| Improve this Doc View Source

#### SqlToolsSettingsValues()

Initializes the Sql Tools settings values

##### Declaration

    public SqlToolsSettingsValues()

### Properties

| Improve this Doc View Source

#### IntelliSense

Gets or sets the detailed IntelliSense settings

##### Declaration

    public IntelliSenseSettings IntelliSense { get; set; }

##### Property Value

Type | Description
--- | ---
IntelliSenseSettings |

| Improve this Doc View Source

#### QueryExecutionSettings

Gets or sets the query execution settings

##### Declaration

    public QueryExecutionSettings QueryExecutionSettings { get; set; }

##### Property Value

Type | Description
--- | ---
QueryExecutionSettings |